Subject: Re: [PATCH 0/4] nd/ita-empty-commit update

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Oct 2016 10:58:09 -0700

Nguyễn Thái Ngọc Duy  <[email-masked]> writes:

> The index_differs_from() also takes a flag to set/clear this new
> flag instead of relying on has_ita_entries like the old 2/3.

I think that probably is a good move.

> The name ita-invisible-in-index is not perfect but I could not think
> of any better. Another name could be diff-cached-ignores-ita, but
> that's just half of what it does. The other half is diff-files-includes-ita...

I can't either, and it is one of the reasons why I am reluctant.
Not being able to be named with a short-and-sweet name often is a
sign that the thing to be named is conceptually not well thought
out.

But as we need to give it some name to the flat to ease
experimenting, let's take that name as-is.